Skip to main content
GET
List family members

Overview

Returns all family members associated with a specific employee as a direct array.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

companyId
string<uuid>
required

The unique identifier of the company

employeeId
string<uuid>
required

The unique identifier of the employee

Response

Family members successfully retrieved

id
string<uuid>
required

The unique identifier of the family member

name
string
required

The family member's first name

surname
string
required

The family member's surname

type
enum<string>
required

The type of family member

Available options:
child
gender
enum<string>
required

The family member's gender

Available options:
male,
female
birthDate
string<date>
required

The family member's date of birth in ISO 8601 format (YYYY-MM-DD)

nationality
string
required

The family member's nationality as an ISO 3166-1 alpha-2 country code in uppercase

Pattern: ^[A-Z]{2}$
Example:

"ES"

incapacityLevel
enum<string>
required

The family member's incapacity level

Available options:
0%,
33%,
66%

The family member's legal identifier